Package SimPy :: Module SimPlot

[hide private]
[frames] | no frames]

# Module SimPlot

source code

    SimPlot 1.8  Provides basic plotting services based on Tk/Tkinter.

    LICENSE:
    Copyright (C) 2002, 2005,2006,2007  Klaus G. Muller, Tony Vignaux
    mailto: kgmuller@xs4all.nl and Tony.Vignaux@vuw.ac.nz

        This library is free software; you can redistribute it and/or
        modify it under the terms of the GNU Lesser General Public
        License as published by the Free Software Foundation; either
        version 2.1 of the License, or (at your option) any later version.

        This library is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
        Lesser General Public License for more details.

        You should have received a copy of the GNU Lesser General Public
        License along with this library; if not, write to the Free Software
        Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    END OF LICENSE

    Derived from plotting package in Grayson's Tkinter book.
    The idea to use this package came from Prof. Simon Frost
    of U of California, San Diego who also strongly contributed
    to the design and implementation of SimPlot.

    Change history:

        Nov 2, 2003 :  Combined utils.py (also from Grayson) with plotting package.
        Nov 11, 2003: Made totally OO
        Dec 16, 2003: Completion of SimPlot 1.4alpha
        Feb 2004:       Release with SimPy 1.4
        Aug 27, 2005: Added tests for empty point sets to plotXXX functions.

Classes | [hide private]

`` | SimPlot
`` | GraphPoints
`` | GraphLine
`` | GraphSymbols
`` | GraphBars
`` | GraphObjects
`` | GraphBase
`` | TextBox

Functions | [hide private]

`` | minCoordinate(clist)
`` | maxCoordinate(clist)
`` | minBound(clist)
`` | maxBound(clist)

Variables | [hide private]

`` | __version__ = `'1.8 $Revision: 1.1.1.14 $ $Date: 2007/01/08 14:47:1...`
`` | root = `Tk()`
`` | plt = `SimPlot()`
`` | root1 = `Tk()`
`` | di = `5.0* pi/ 40.`
`` | data = `[]`
`` | line1 = `plt.makeLine(data, color= 'black', width= 1, smooth= 1)`
`` | line1a = `plt.makeBars(data [1:], color= 'blue', fillstyle= 'g...`
`` | graphObject = `plt.makeGraphObjects([line1a, line1])`
`` | line2 = `plt.makeBars([(0, 0), (1, 145), (2,-90), (3, 147), (...`
`` | graphObject2 = `plt.makeGraphObjects([line2])`
`` | line3 = `plt.makeLine([(1, 145+ 100), (2, 151+ 100), (3, 147+...`
`` | line3a = `plt.makeLine([(1, 145), (2, 151), (3, 147), (4, 22),...`
`` | line3b = `plt.makeStep([(1, 145+ 100), (2, 151+ 100), (3, 147+...`
`` | graphObject3 = `plt.makeGraphObjects([line3, line3a, line3b])`
`` | line4 = `plt.makeSymbols([(1, 100), (2, 100), (3, 100), (4, 1...`
`` | line5 = `plt.makeSymbols([(1, 200), (2, 200), (3, 200), (4, 2...`
`` | line6 = `plt.makeSymbols([(1, 300), (2, 300), (3, 300), (4, 3...`
`` | line7 = `plt.makeSymbols([(1, 400), (2, 400), (3, 400), (4, 4...`
`` | line8 = `plt.makeSymbols([(1, 500), (2, 500), (3, 500), (4, 5...`
`` | line9 = `plt.makeSymbols([(1, 600), (2, 600), (3, 600), (4, 6...`
`` | line10 = `plt.makeSymbols([(1, 700), (2, 700), (3, 700), (4, 7...`
`` | line11 = `plt.makeSymbols([(1, 800), (2, 800), (3, 800), (4, 8...`
`` | graphObject4 = `GraphObjects([line4, line5, line6, line7, line8, lin...`
`` | f1 = `Frame(root)`
`` | f2 = `Frame(root1)`
`` | graph = `{}`

Function Details | [hide private]

### minCoordinate(clist)

source code

None

### maxCoordinate(clist)

source code

None

### minBound(clist)

source code

None

### maxBound(clist)

source code

None

Variables Details | [hide private]

### __version__

None

  Value:

        '1.8 $Revision: 1.1.1.14 $ $Date: 2007/01/08 14:47:12 $'

### root

None

  Value:

        Tk()

### plt

None

  Value:

        SimPlot()

### root1

None

  Value:

        Tk()

### di

None

  Value:

        5.0* pi/ 40.

### data

None

  Value:

        []

### line1

None

  Value:

        plt.makeLine(data, color= 'black', width= 1, smooth= 1)

### line1a

None

  Value:

        plt.makeBars(data [1:], color= 'blue', fillstyle= 'gray25', anchor= 0.
        0)

### graphObject

None

  Value:

        plt.makeGraphObjects([line1a, line1])

### line2

None

  Value:

        plt.makeBars([(0, 0), (1, 145), (2,-90), (3, 147), (4, 22), (5, 31), (
        6, 77), (7, 125), (8, 220), (9, 550), (10, 560), (11, 0)], outline= 'g
        reen', color= 'red', size= 7)

### graphObject2

None

  Value:

        plt.makeGraphObjects([line2])

### line3

None

  Value:

        plt.makeLine([(1, 145+ 100), (2, 151+ 100), (3, 147+ 100), (4, 22+ 100
        ), (5, 31+ 100), (6, 77+ 100), (7, 125+ 100), (8, 220+ 100), (9, 550+
        100), (10, 560+ 100)], color= 'blue', width= 2, smooth= 1)

### line3a

None

  Value:

        plt.makeLine([(1, 145), (2, 151), (3, 147), (4, 22), (5, 31), (6, 77),
         (7, 125), (8, 220), (9, 550), (10, 560)], color= 'green', width= 2, s
        mooth= 0)

### line3b

None

  Value:

        plt.makeStep([(1, 145+ 100), (2, 151+ 100), (3, 147+ 100), (4, 22+ 100
        ), (5, 31+ 100), (6, 77+ 100), (7, 125+ 100), (8, 220+ 100), (9, 550+
        100), (10, 560+ 100)], color= 'red', width= 2)

### graphObject3

None

  Value:

        plt.makeGraphObjects([line3, line3a, line3b])

### line4

None

  Value:

        plt.makeSymbols([(1, 100), (2, 100), (3, 100), (4, 100), (5, 100), (6,
         100), (7, 100), (8, 100), (9, 100), (10, 100)], color= 'black', fillc
        olor= 'red', width= 2, marker= 'triangle')

### line5

None

  Value:

        plt.makeSymbols([(1, 200), (2, 200), (3, 200), (4, 200), (5, 200), (6,
         200), (7, 200), (8, 200), (9, 200), (10, 200)], color= 'red', width=
        2, marker= 'circle')

### line6

None

  Value:

        plt.makeSymbols([(1, 300), (2, 300), (3, 300), (4, 300), (5, 300), (6,
         300), (7, 300), (8, 300), (9, 300), (10, 300)], color= 'green', width
        = 2, marker= 'dot')

### line7

None

  Value:

        plt.makeSymbols([(1, 400), (2, 400), (3, 400), (4, 400), (5, 400), (6,
         400), (7, 400), (8, 400), (9, 400), (10, 400)], color= 'blue', fillco
        lor= 'white', size= 2, width= 2, marker= 'square')

### line8

None

  Value:

        plt.makeSymbols([(1, 500), (2, 500), (3, 500), (4, 500), (5, 500), (6,
         500), (7, 500), (8, 500), (9, 500), (10, 500)], color= 'yellow', widt
        h= 2, marker= 'triangle')

### line9

None

  Value:

        plt.makeSymbols([(1, 600), (2, 600), (3, 600), (4, 600), (5, 600), (6,
         600), (7, 600), (8, 600), (9, 600), (10, 600)], color= 'magenta', wid
        th= 2, marker= 'cross')

### line10

None

  Value:

        plt.makeSymbols([(1, 700), (2, 700), (3, 700), (4, 700), (5, 700), (6,
         700), (7, 700), (8, 700), (9, 700), (10, 700)], color= 'brown', width
        = 2, marker= 'plus')

### line11

None

  Value:

        plt.makeSymbols([(1, 800), (2, 800), (3, 800), (4, 800), (5, 800), (6,
         800), (7, 800), (8, 800), (9, 800), (10, 800)], color= 'black', fillc
        olor= 'orange', width= 2, marker= 'triangle_down')

### graphObject4

None

  Value:

        GraphObjects([line4, line5, line6, line7, line8, line9, line10, line11
        ])

### f1

None

  Value:

        Frame(root)

### f2

None

  Value:

        Frame(root1)

### graph

None

  Value:

        {}